# Enum Class STR

java.lang.Object
java.lang.Enum<STR>
org.jmol.c.STR

All Implemented Interfaces:
  `Serializable, Comparable<STR>, Constable`

public enum STR extends Enum<STR>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANNOTATION`
`CARBOHYDRATE`
`DNA`
`HELIX`
`HELIX310`
`HELIXALPHA`
`HELIXPI`
`NONE`
`NOT`
`RNA`
`SHEET`
`TURN`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBioStructureTypeName(boolean isGeneric)`
`int`
`getColor()`
`int`
`getId()`
`static final STR`
`getProteinStructureType(String name)`
In DRuMS, RasMol, and Chime, quoting from http://www.umass.edu/microbio/rasmol/rascolor.htm The RasMol structure color scheme colors the molecule by protein secondary structure.
`static STR`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static STR[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT

public static final STR NOT

### NONE

public static final STR NONE

### TURN

public static final STR TURN

### SHEET

public static final STR SHEET

### HELIX

public static final STR HELIX

### DNA

public static final STR DNA

### RNA

public static final STR RNA

### CARBOHYDRATE

public static final STR CARBOHYDRATE

### HELIX310

public static final STR HELIX310

### HELIXALPHA

public static final STR HELIXALPHA

### HELIXPI

public static final STR HELIXPI

### ANNOTATION

public static final STR ANNOTATION

## Method Details

### values

public static STR[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static STR valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

public int getId()

### getColor

public int getColor()

### getProteinStructureType

public static final STR getProteinStructureType(String name)
In DRuMS, RasMol, and Chime, quoting from http://www.umass.edu/microbio/rasmol/rascolor.htm The RasMol structure color scheme colors the molecule by protein secondary structure. Structure Decimal RGB Hex RGB Alpha helices red-magenta [255,0,128] FF 00 80 * Beta strands yellow [255,200,0] FF C8 00 * Turns pale blue [96,128,255] 60 80 FF Other white [255,255,255] FF FF FF Values given in the 1994 RasMol 2.5 Quick Reference Card ([240,0,128] and [255,255,0]) are not correct for RasMol 2.6-beta-2a. This correction was made above on Dec 5, 1998.

Parameters:
  `name` -
Returns:
  0-3 or 7-9, but not dna, rna, carbohydrate

### getBioStructureTypeName

public String getBioStructureTypeName(boolean isGeneric)